#delimit;
di "$S_DATE $S_TIME";

clear;
use C:\Hgoemans\Leaders\data\leaders.dta;

#delimit;
cd "C:\Hgoemans\Leaders\Fate\CRISK\JCR";
capture log using "toR.log", replace;


#delimit;
gen trans=0;
replace trans=. if polity==-66;
replace trans=1 if polity==-77 | polity==-88;
replace trans=0 if tautocracy==1;
replace trans=0 if tmixed==1;
replace trans=0 if tdemparl==1;
replace trans=0 if tdempres==1;


replace democracy=0 if trans==1;
replace tdemparl=0 if trans==1;
replace tdempres=0 if trans==1;
replace tautocracy=0 if trans==1;
replace tmixed=0 if trans==1;

/*Dropping countries under foreign occupation
and Switzerland which has a yearly rotating
presidency.*/



drop if democracy==. & mixed==. & autocracy==. & trans==.;
drop if ccode==225;

/*Also dropping the one observation for which we do
not know how the leader lost office:
Oskars Borkovskis of Latvia in 1919.
*/

drop if exit_tv==-666;

tab exit_tv2 posttenurefate_tv if exit_tv2>0 & posttenurefate_tv2>=0, chi row col;

gen I_coup_fail=0; /*Failure as the result of a coup*/
replace I_coup_fail=1 if Ifail==1 & (exitcode==5 | exitcode==6 | exitcode==16);
replace I_coup_fail=1 if exitcode==111 & exit_tv==3;



/*For leaders who are responsible during their observation 
but after the start of their obs, for a change in polity.*/
#delimit;
sort ccode year startobs;
by ccode: gen startplag1=startp[_n-1];
by ccode: gen startplag2=startp[_n-2];
#delimit;
gen poldays=startobs-startp;
gen poldays1=poldays;
#delimit;
replace poldays=startobs-startplag1 if poldays<0 & poldays~=.;
replace poldays=startobs-startplag2 if poldays<0 & poldays~=.;
replace poldays=0 if poldays1==. & poldays==.;
replace poldays=0 if poldays==.;

gen lnpoldays=ln(poldays+1);

#delimit;
sort leadid eindate startobs;
by leadid: gen onsetlead=onset[_n+1];

sort ccode leadid eindate startobs;
compress;


keep leadid obsid ccode ccname leader eindate eoutdate startobs endobs year entry exit_tv age0 age 
powtimes posttenurefate_tv gender sumten lnten polity lnpoldays democ autoc democracy autocracy mixed 
demparl dempres tdemparl tdempres tmixed onsetwar onsetcrisis targetwar targetcrisis onset target warong 
crisisong wartargong crisistargong ong targong dwinwar dlosewar ddrawwar dwinsh dlosesh ddrawsh dwin dlose 
ddraw pop lngdpcap gdpcapL dgdp growth energy numbord majpow priointensity priocumint election lneldays 
trans entry1 lnpop initiator warinitiator crisisinitiator initiator2 defender wardefender crisisdefender 
defender2 inherit onsetlead inherini inherdef warinherit crisinherit IHfail Rfail Ifail fail I_dom_fail 
I_for_fail I_coup_fail civwar tropen tropen1 tropen2 tropen3 dopen dopen1 dopen2 dopen3 lngdpcapL tropenL 
tropen1L tropen2L tropen3L;



#delimit;
stset endobs, id(leadid) failure(fail==1) origin(time eindate) enter(time startobs); /*scale(365.25) */

#delimit; 
gen txlngdpcapL=ln(_t)*lngdpcapL;
gen txgrowth=ln(_t)*growth;
gen txage0=ln(_t)*age;

sum lngdpcapL txlngdpcapL growth txgrowth tropen2L dopen2 lnpop age0 txage0;
sum lngdpcapL txlngdpcapL growth txgrowth tropen2L dopen2 lnpop age0 txage0 if tmixed==0
		& tdemparl==0 & tdempres==0 & trans==0;
sum lngdpcapL txlngdpcapL growth txgrowth tropen2L dopen2 lnpop age0 txage0 if tmixed==1;
sum lngdpcapL txlngdpcapL growth txgrowth tropen2L dopen2 lnpop age0 txage0 if demparl==1;
sum lngdpcapL txlngdpcapL growth txgrowth tropen2L dopen2 lnpop age0 txage0 if dempres==1;
sum lngdpcapL txlngdpcapL growth txgrowth tropen2L dopen2 lnpop age0 txage0 if trans==1;

drop txlngdpcapL txgrowth txage0;



#delimit;

rename _st st;
rename _d d;
rename _origin origin;
rename _t t;
rename _t0 t0;
drop if st==0;

sort ccode startobs endobs year;
save "Poolfail.dta", replace;

drop st d origin t t0 st;

rename fail poolfail;
rename IHfail fail; 


#delimit;
stset endobs, id(leadid) failure(fail==1) origin(time eindate) enter(time startobs); /*scale(365.25) */

#delimit;
rename _st st;
rename _d d;
rename _origin origin;
rename _t t;
rename _t0 t0;
drop if st==0;

sort ccode startobs endobs year;
save "IHfail.dta", replace;
#delimit;
drop st d origin t t0 st;
rename fail IHfail;
rename Rfail fail; 

#delimit;
stset endobs, id(leadid) failure(fail==1) origin(time eindate) enter(time startobs); /*scale(365.25) */

#delimit;
rename _st st;
rename _d d;
rename _origin origin;
rename _t t;
rename _t0 t0;
drop if st==0;

sort ccode startobs endobs year;
save "Rfail.dta", replace;
drop st d origin t t0 st;

rename fail Rfail;
rename Ifail fail;


#delimit;
stset endobs, id(leadid) failure(fail==1) origin(time eindate) enter(time startobs); /*scale(365.25) */

#delimit;
rename _st st;
rename _d d;
rename _origin origin;
rename _t t;
rename _t0 t0;
drop if st==0;

sort ccode startobs endobs year;
save "Ifail.dta", replace;

drop st d origin t t0 st;

rename fail Ifail; 
rename I_dom_fail fail;

#delimit;
stset endobs, id(leadid) failure(fail==1) origin(time eindate) enter(time startobs); /*scale(365.25) */

#delimit;
rename _st st;
rename _d d;
rename _origin origin;
rename _t t;
rename _t0 t0;
drop if st==0;

sort ccode startobs endobs year;
save "Idomfail.dta", replace;
drop st d origin t t0 st;

rename fail I_dom_fail; 
rename I_for_fail fail;

#delimit;
stset endobs, id(leadid) failure(fail==1) origin(time eindate) enter(time startobs); /*scale(365.25) */

#delimit;
rename _st st;
rename _d d;
rename _origin origin;
rename _t t;
rename _t0 t0;
drop if st==0;

sort ccode startobs endobs year;
save "Iforfail.dta", replace;
drop st d origin t t0 st;

rename fail I_for_fail;
rename I_coup_fail fail;

stset endobs, id(leadid) failure(fail==1) origin(time eindate) enter(time startobs); /*scale(365.25) */

#delimit;
rename _st st;
rename _d d;
rename _origin origin;
rename _t t;
rename _t0 t0;
drop if st==0;

sort ccode startobs endobs year;
save "Icoupfail.dta", replace;

drop st d origin t t0 st;

rename fail I_coup_fail;


di "$S_DATE $S_TIME";





